dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
--LManager:AddGame(eGAME_RECALL);
--LManager:AddGame(eGAME_SHELL);
--LManager:AddGame(eGAME_COMBO);

--square block formation
LManager:AddTable(eTYPE_TABLE2, 380, 220);
LManager:AddTable(eTYPE_TABLE4, 200, 355);
LManager:AddTable(eTYPE_TABLE5, 380, 355);
LManager:AddTable(eTYPE_TABLE6, 560, 355);
--LManager:AddTable(eTYPE_TABLE8, 380, 500);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 4;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 32000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 95000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 112000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 133000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 167000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 181000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 53000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 74000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 105000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 160000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 10000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 24000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 54000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 67000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 126000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 174000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 17000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 31000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 60000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 89000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 153000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 167000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(1,9);
LManager:SetLevelScores(5100, 5300);
LManager:SetLevelTime(50000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();